if ENV['coverage']
  require 'simplecov'
  SimpleCov.start
end

require 'minitest/autorun'
require 'minitest/spec'

require 'ostruct'

require 'store'

class MiniTest::Spec

  def faked_class(class_name)
    faked_class = Class.new do
      class << self
        attr_accessor :name
      end
    end

    faked_class.name = class_name
    faked_class
  end

end
