# Store

[![Gem Version](https://badge.fury.io/rb/store.png)](http://badge.fury.io/rb/store)
[![Build Status](https://api.travis-ci.org/holderbaum/store.png)](https://travis-ci.org/holderbaum/store)
[![Code Climate](https://codeclimate.com/github/holderbaum/store.png)](https://codeclimate.com/github/holderbaum/store)

Implementations for using the Repository- and Data Mapper Pattern in ruby

**Important:** We are still ignoring dirty tracking, so this is not for
heavy-load environments! [Issue](https://github.com/holderbaum/store/issues/1)

## Installation

Add this line to your application's Gemfile:

    gem 'store'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install store

## Usage

See [example.rb](https://github.com/holderbaum/store/blob/master/example.rb) for capabilities of the current implementation.

## DataMapper

* [Memory](https://github.com/janowiesniak/store-memory)
* [ActiveRecord](https://github.com/janowiesniak/store-active_record)

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
