require 'helper'

describe 'Store::Ref' do
  it 'accepts entity_type and reference' do
    Store::Ref.new('User', 23)
  end

  it 'is equal if all attributes are equal' do
    store = Store::Ref.new('User', 23)

    assert_equal Store::Ref.new('User', 23), store
    refute_equal Store::Ref.new('Player', 23), store
    refute_equal Store::Ref.new('User', 24), store
    refute_equal nil, store
  end
end
