# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'store/version'

Gem::Specification.new do |spec|
  spec.name          = "store"
  spec.version       = Store::VERSION
  spec.authors       = ["Jakob Holderbaum"]
  spec.email         = ["jakob@featurefabrik.de"]
  spec.summary       = %q{Repository Pattern and Data-Mapper Pattern}
  spec.homepage      = "https://github.com/holderbaum/store"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "minitest", "~> 5.0"
end
